# frozen_string_literal: true

require 'i18n'

locale  = ENV['LANG'].split('_', 2).first.to_sym
locales = Dir["#{File.expand_path(File.join(__dir__, '..', '..', '..', 'config', 'locales'))}/*.yml"]

I18n::Backend::Simple.include(I18n::Backend::Memoize)
I18n.load_path = locales
I18n.available_locales = locales.map { |l| File.basename(l, '.yml') }.map(&:to_sym)
I18n.default_locale = :es
I18n.locale = I18n.available_locales.include?(locale) ? locale : :es
